<?xml version="1.0" encoding="utf-8" ?>
<log4net debug="false">

  <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
    <file value="Logs/log.txt" />
    <appendToFile value="true" />
    <rollingStyle value="Size" />
    <maxSizeRollBackups value="10" />
    <maximumFileSize value="500KB" />
    <staticLogFileName value="true" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date [%thread] %-5level %logger - %message%newline" />
    </layout>
  </appender>

  <appender name="ElmahAppender" type="MicroUniverso.Logging.Appenders.ElmahAppender, MicroUniverso.Logging">
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date [thread] %-5level %logger - %message%newline" />
    </layout>
    <UseNullContext>False</UseNullContext>
  </appender>


  <appender name="ExecutionTimeLogFileAppender" type="log4net.Appender.RollingFileAppender">
    <file value="Logs/executiontimes.txt" />
    <appendToFile value="true" />
    <rollingStyle value="Size" />
    <maximumFileSize value="5120KB" />
    <staticLogFileName value="true" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date [%thread] %-5level %message %property{diff} %newline" />
    </layout>
  </appender>


  <root>
    <level value="ERROR" />
    <appender-ref ref="RollingFileAppender" />
    <appender-ref ref="ElmahAppender" />
  </root>


  <logger name="ExecutionTimeLog">
    <level value="ERROR" />
    <appender-ref ref="ExecutionTimeLogFileAppender" />
  </logger>

</log4net>